Author Topic: Cant upgrade nvidia drivers and dont know why!  (Read 1534 times)

geekyhawkes

  • Guru
  • ****
  • Posts: 230
    • View Profile
Cant upgrade nvidia drivers and dont know why!
« on: June 05, 2009, 06:05:57 pm »
I am trying to update my nvidia drivers as per this guide;

http://wiki.linuxmce.org/index.php/Display_Drivers#NVidia_Chipsets

But am having problems.  Everytime i run telinit 1 the KDE shutdown seems to stop and then i am presented with another X session.  If i boot into recovery mode and then a root terminal sh nvidadriverversion-pkg1.run says file not found. 

What am i doing wrong?  Is there another way around this issue?

UNi

  • Veteran
  • ***
  • Posts: 53
  • Would you like Cheese with that Whine?
    • View Profile
Re: Cant upgrade nvidia drivers and dont know why!
« Reply #1 on: June 05, 2009, 11:30:36 pm »
You need to change the filename to match the exact name of the file you downloaded...not what you show...that's generic name.

Also, did you download the file from NVIDIA's Web site to a location where you could locate it?

wget http://us.download.nvidia.com/XFree86/Linux-x86/<version>/NVIDIA-Linux-x86-<version>-pkg1.run


If you did, then you'll go into Recovery Mode, go to that directory where you downloaded it, then type sh + *exact filename*...you might have to type it like this:

sudo ./sh filenameyoudownloaded


Let us know if that works...

-UNi
« Last Edit: June 05, 2009, 11:35:04 pm by UNi »

geekyhawkes

  • Guru
  • ****
  • Posts: 230
    • View Profile
Re: Cant upgrade nvidia drivers and dont know why!
« Reply #2 on: June 06, 2009, 09:22:09 am »
Sorry for the lazy post, i did try using the exact filename in the directory i had downloaded the file.  The issue was getting telinit 1 to drop me to an x free session. The solution turned out to be install an nvidea.deb version of the driver, adding that on the excluded list so the next reboot dropped me to an x free session.  From there i could then upgrade the driver.  Not the most tidy way forward, but have 180.60 running now.  Thanks for the help.